# (A) LOAD MODULES
import sqlite3, csv

# (B) EXPORT ALL USERS TO CSV
with open("users.csv", mode="w", newline="") as f:
  # (B1) CSV FILE WRITER
  writer = csv.writer(f)

  # (B2) CONNECT TO DATABASE
  conn = sqlite3.connect("users.db")
  cursor = conn.cursor()

  # (B3) WRITE ROWS TO CSV
  cursor.execute("SELECT * FROM `users`")
  for row in cursor:
    print(row)
    writer.writerow(row)
  conn.close()